Bug 22970 - Add ability to change homebranch in batch add course reserves
Summary: Add ability to change homebranch in batch add course reserves
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Testopia
URL:
Keywords:
Depends on: 22630
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-23 08:35 UTC by Koha Team University Lyon 3
Modified: 2020-05-18 14:22 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 22970: Allow to change homebranch in batch add course reserves (2.82 KB, patch)
2019-05-24 06:56 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 22970: Allow to change homebranch in batch add course reserves (2.91 KB, patch)
2019-05-24 15:30 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22970: Allow to change homebranch in batch add course reserves (3.99 KB, patch)
2020-05-02 01:10 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22970: Allow to change homebranch in batch add course reserves (3.99 KB, patch)
2020-05-07 10:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koha Team University Lyon 3 2019-05-23 08:35:52 UTC
We should be allowed to change the homebranch when adding items in course reserves with the "batch add reserves" button.
Comment 1 Julian Maurice 2019-05-24 06:56:40 UTC
Created attachment 90059 [details] [review]
Bug 22970: Allow to change homebranch in batch add course reserves

Test plan:
1. Create a course (disabled)
2. Add multiple reserves to this course using 'batch add' and set
   a homebranch different from the items homebranch
3. Enable the course
4. Verify that the items homebranch have changed
5. Disable the course
6. Verify that the items homebranch were reset to their initial value

Depends on bug 22630
Comment 2 Liz Rea 2019-05-24 15:30:22 UTC
Created attachment 90062 [details] [review]
Bug 22970: Allow to change homebranch in batch add course reserves

Test plan:
1. Create a course (disabled)
2. Add multiple reserves to this course using 'batch add' and set
   a homebranch different from the items homebranch
3. Enable the course
4. Verify that the items homebranch have changed
5. Disable the course
6. Verify that the items homebranch were reset to their initial value

Depends on bug 22630

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-05-28 05:30:26 UTC
Currently blocked by failed dependency patch.
Comment 4 Koha Team University Lyon 3 2019-09-06 09:01:36 UTC
I applied it on top of BZ 22630 on a sandbox.
I tested it according to the plan test and everything was fine.
I also tried to modify the value changed by the reserve course, to delete one item in the course and to delete a course. Everything works fine, the value of the item return to their original values.

I'm changing the status to "signed off" but I can't modify the patch with the sandbox as there was several bugs applied.

Sonia
Comment 5 Katrin Fischer 2020-05-02 01:10:37 UTC
Created attachment 104163 [details] [review]
Bug 22970: Allow to change homebranch in batch add course reserves

Test plan:
1. Create a course (disabled)
2. Add multiple reserves to this course using 'batch add' and set
   a homebranch different from the items homebranch
3. Enable the course
4. Verify that the items homebranch have changed
5. Disable the course
6. Verify that the items homebranch were reset to their initial value

Depends on bug 22630

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-05-02 01:11:42 UTC
I think it would be really nice to have this one in still - it complements bug 22630 already pushed and makes it feature complete. Changes are quite small, but I had to do a bit heavier rebase, so leaving it with my sign-off for now.
Comment 7 Jonathan Druart 2020-05-07 10:04:52 UTC
Created attachment 104485 [details] [review]
Bug 22970: Allow to change homebranch in batch add course reserves

Test plan:
1. Create a course (disabled)
2. Add multiple reserves to this course using 'batch add' and set
   a homebranch different from the items homebranch
3. Enable the course
4. Verify that the items homebranch have changed
5. Disable the course
6. Verify that the items homebranch were reset to their initial value

Depends on bug 22630

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Martin Renvoize 2020-05-12 10:47:36 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 9 Joy Nelson 2020-05-13 19:09:20 UTC
enhancement not backported to 19.11
Comment 10 Katrin Fischer 2020-05-16 15:04:47 UTC
Should we add sponsorship here as well? (noticed the line on bug 22630)
Comment 11 Koha Team University Lyon 3 2020-05-18 07:41:39 UTC
Hi,
Yes this one was also sponsored By Université de Lyon 3.
Sonia